ACME-TINY(1)

NAME
acme-tiny - letsencrypt tiny python client

SYNOPSIS
acme-tiny --account-key account.key --csr domain.csr --acme-dir /var/www/html/.well-known/acme-challenge [--quiet] [--ca https://acme-v01.api.letsencrypt.org]

DESCRIPTION
This script automates the process of getting a signed TLS certificate from Let's Encrypt using the ACME protocol. It will need to be run on your server and have access to your private account key, so PLEASE READ THROUGH IT! It's only ~200 lines, so it won't take long.

EXAMPLES
acme-tiny --account-key ./account.key --csr ./domain.csr --acme-dir /var/www/html/.well-known/acme-challenge/ >signed.crt

OPTIONS

-h, --help
    Show summary of options.

--account-key account.key
    Path to private account.key file. For letsencrypt authentication.

--csr domain.csr
    Path to the domain(s) CSR file.

--acme-dir /var/www/html/.well-known/acme-challenge
    Path to webserver public acme-challenge dir for domain ownership confirmation.

--quiet
    Suppress output except for errors.

--ca https://acme-v01.api.letsencrypt.org
    URL to Certificate Authority. Defaults to letsencrypt CA.

SEE ALSO
openssl(1), https://letsencrypt.org/, https://github.com/diafygi/acme-tiny#acme-tiny.